Due to a recent update on Javascript code a full page refresh on your browser might be needed.

Bug 741250

Summary: /usr/share/tomcat/webapps is a link
Product: [Fedora] Fedora Reporter: Oliver Falk <oliver>
Component: tomcatAssignee: Ivan Afonichev <ivan.afonichev>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: akurtako, ivan.afonichev, java-sig-commits
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: tomcat-7.0.21-3.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-05 17:36:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Oliver Falk 2011-09-26 11:54:40 UTC
I get the following in my catalina.out:

SEVERE: Unable to create directory for deployment: /usr/share/tomcat/webapps
Sep 26, 2011 1:44:53 PM org.apache.catalina.startup.HostConfig start
SEVERE: Application base [/usr/share/tomcat/webapps] for host [localhost] does not exist or is not a directory. deployOnStartUp and autoDeploy have been set to false to prevent deployment errors. Other errors may still occur.

The permissions are fine (root.tomcat, 775). Even with 777 - the same error. I guess there is some check and it gets confused by the symbolic link to /var/lib/tomcat/webapps.

I deploy using /etc/tomcat/Catalina/localhost/ROOT.xml; Eg.
<Context path="/" docBase="/path/to/some.war" debug="0">
</Context>

The version I use: tomcat-7.0.21-1.fc15.noarch

This used to work with 7.0.20!!

As a workaround, I removed the symbolic link and created the directory in /usr/share/tomcat/webapps. Now everything runs fine again.

Comment 1 Ivan Afonichev 2011-09-26 12:39:21 UTC
It was working fine with rpm builded on my PC 
http://baldr.sgu.ru/rpm/tomcat/orig/tomcat-7.0.21-1.fc15.noarch.rpm
I am currently trying to investigate the issue, what was happend on Koji.

Sorry for not checking updates-testing before marking it stable :(
I thought it's enough to check locally builded rpm.


Temporary solution: 
yum reinstall http://baldr.sgu.ru/rpm/tomcat/orig/tomcat-7.0.21-1.fc15.noarch.rpm

Comment 2 Oliver Falk 2011-09-26 12:52:46 UTC
ok. the reinstall works fine!

Comment 3 Ivan Afonichev 2011-09-26 13:02:14 UTC
Issue related to incorrect mode bits for
/var/lib/tomcat
correct mode is 755

In rpm builded on koji it is 765


Temporary solution:
chmod 755 /var/lib/tomcat

Comment 4 Oliver Falk 2011-09-26 13:19:13 UTC
That is strange.
Modifying status to assigned.
If you release a new version in updates-testing, let me know and I'll yum update on my machine to test if it works or not... All via bodhi of course :-)

Comment 5 Fedora Update System 2011-09-26 18:55:59 UTC
tomcat-7.0.21-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tomcat-7.0.21-3.fc15

Comment 6 Fedora Update System 2011-09-26 19:01:16 UTC
tomcat-7.0.21-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tomcat-7.0.21-3.fc16

Comment 7 Fedora Update System 2011-09-27 17:33:06 UTC
Package tomcat-7.0.21-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.21-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tomcat-7.0.21-3.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-05 17:36:25 UTC
tomcat-7.0.21-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-06 00:04:27 UTC
tomcat-7.0.21-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.